UPDATE i00, ( {peg_str} ) as last
SET /*beg_timh1*/
    i00.timh1=round(last.lastv, {peg_dektim}), 
    /*end_timh1*/
    
    /*beg_p610*/
    i00.p610 =round(last.lp04,  {peg_dektim}),   
    i00.p611 =round(last.lp04e, {peg_dektim}),   
    i00.p611e=round(last.lp010t, 3),   
    /*end_p610*/
    
    i00.remdate=curdate(), 
    i00.remtime=curtime(),
    i00.remuser='{user_pswd}'
WHERE i00.pno=last.code
   && i00.pno IN ({create_list(peg_arr[1], .t.)})
   && i00.pno<>'';